package source;

import java.io.InputStream;

/**
 *
 * @author Radoslaf
 */
public class DataHandler {

    public DataHandler() {
    }

    // Metody gettrs a setters

    public void setHDOP(double HDOP) {
        this.HDOP = HDOP;
    }

    public void setNS(String NS) {
        this.NS = NS;
    }

    public void setVDOP(double VDOP) {
        this.VDOP = VDOP;
    }

    public void setWE(String WE) {
        this.WE = WE;
    }

    public synchronized void setCache(String cache) {
        this.cache = cache;
    }

    public void setDatum(short[] datum) {
        this.datum = datum;
    }

    public void setDirection(short direction) {
        this.direction = direction;
    }

    public void setElevation(short elevation) {
        this.elevation = elevation;
    }

    public void setLatitude(short[] latitude) {
        this.longitude = latitude;
    }

    public void setLongitude(short[] longitude) {
        this.latitude = longitude;
    }

    public void setSat(short[][] sat) {
        this.sat = sat;
    }

    public void setSpeed(double speed) {
        this.speed = speed;
    }

    public void setTime(short[] time) {
        this.time = time;
    }

    public void setIs(InputStream is) {
        this.is = is;
    }


    public double getHDOP() {
        return HDOP;
    }

    public String getNS() {
        return NS;
    }

    public double getVDOP() {
        return VDOP;
    }

    public String getWE() {
        return WE;
    }

    public  String getCache() {
        return cache;
    }

    public short[] getDatum() {
        return datum;
    }

    public short getDirection() {
        return direction;
    }

    public short getElevation() {
        return elevation;
    }

    public short[] getLatitude() {
        return longitude;
    }

    public short[] getLongitude() {
        return latitude;
    }

    public short[][] getSat() {
        return sat;
    }

    public double getSpeed() {
        return speed;
    }

    public short[] getTime() {
        return time;
    }

    public InputStream getIs() {
        return is;
    }



    /*---------------------------------------------------
     *             Sdílené proměnné
     * ------------------------------------------------*/
    private String cache = null;
    private InputStream is = null;
    private short latitude[] = new short[4];
    private short longitude[] = new short[4];
    private short time[] = new short[3];
    private String NS = null;
    private String WE = null;
    private short elevation = 0;
    private double HDOP = 0.0;
    private double VDOP = 0.0;
    private double speed = 0.0;
    private short direction = 0;
    private short datum[] = new short[3];
    private short[][] sat = new short[12][4];
}
